Method: networks.applications.batchUpdate

API to batch update Application objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/applications:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where Applications will be updated. Format: networks/{networkCode} The parent field in the UpdateApplicationRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateApplicationRequest)
    }
  ]
}
Fields
requests[]

object (UpdateApplicationRequest)

Required. The Application objects to update.

Response body

Response object for applications.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "applications": [
    {
      object (Application)
    }
  ]
}
Fields
applications[]

object (Application)

The Application objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateApplicationRequest

Request object for applications.patch method.

JSON representation
{
  "application": {
    object (Application)
  },
  "updateMask": string
}
Fields
application

object (Application)

Required. The Application to update.

The Application's name is used to identify the Application to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".